<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="es una pagina web que busca resolver el taller de la materia web service">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="revised" content="28/03/2023" />
    <meta name="author" content="Solucion del taller 1" />
    <link rel="icon" type="image/png"  href="img/favicon.png">
    <link rel="apple-touch-icon" sizes="57x57" href="/apple-icon-57x57.png">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
    
    <title>Taller 1</title>
  </head>
  <body>
    <header>
      <h1>Título de la página</h1>
      <nav>
        <ul>
          <li><a href="#seccion1">Sección 1</a></li>
          <li><a href="#seccion2">Sección 2</a></li>
          <li><a href="#seccion3">Sección 3</a></li>
        </ul>
      </nav>
    </header>
    <main>

      <section id="seccion1">
        <h2>Sección 1</h2>
        <article>
          <h3>XBotCore: una plataforma de software entre robots en tiempo real</h3>
          <p>En este trabajo, presentamos XBotCore (Cross-Bot-Core), una plataforma de software liviana en tiempo real (RT) para robots basados ​​en EtherCAT. XBotCore es de código abierto y está diseñado para ser un marco de control de robot RT y un software intermedio. Satisface los requisitos estrictos de RT, al tiempo que garantiza un bucle de control de 1 kHz incluso en sistemas complejos con varios grados de libertad. Proporciona una interfaz de programación de aplicaciones (API) de middleware simple y fácil de usar, tanto para marcos de control RT como no RT. Esta API es completamente flexible con respecto al marco que un usuario desea utilizar. Además, es posible reutilizar el código escrito usando la API de XBotCore con diferentes robots (característica de robot cruzado). En este artículo, se describirá el diseño y la arquitectura de XBotCore y los resultados experimentales en el robot humanoide WALK-MAN</p>
          <a href="https://www.computer.org/csdl/proceedings-article/irc/2017/07926518/12OmNzZmZp3">Enlace al sitio web</a>
        </article>
        <article>
            <h3>Robot que evita obstáculos: un robot Lego EV3</h3>
            <p>George Bekey en Autonomous Robots define Robot como una máquina que siente, piensa y actúa. Se puede hacer que el robot sea capaz de operar en el entorno del mundo real sin ningún tipo de control externo durante un período prolongado de tiempo. Un robot con capacidades cognitivas incluye procesamiento de percepción, asignación de atención, anticipación, planificación, coordinación motora compleja, razonamiento sobre otros agentes y quizás incluso sobre sus propios estados mentales. La cognición robótica encarna el comportamiento del sistema inteligente en el mundo físico. En última instancia, el robot debe poder actuar en el mundo real. En nuestro proyecto, se construyó un robot para detectar cualquier obstáculo en su camino, lo evita y reanuda su funcionamiento, lo que implica el cálculo previo de un camino libre de obstáculos.</p>
            <a href="https://www.computer.org/csdl/proceedings-article/icraect/2017/6701a043/12OmNBC8AyV">Enlace al sitio web</a>
        </article>
        <article>
            <h3>Uso de Frameworks para el Desarrollo Rápido de Aplicaciones como Objeto de Aprendizaje para la Enseñanza de la Programación Web</h3>
            <p>Este artículo describe el uso del marco para el desarrollo rápido de aplicaciones como objeto de aprendizaje para la enseñanza de la programación web. Desde el punto de vista de la investigación, nuestro objetivo fue evaluar el impacto del aprendizaje en programación web, por parte de estudiantes sin experiencia previa en tecnología. Desde un punto de vista industrial, el objetivo era evaluar la posibilidad de uso del marco para el desarrollo rápido de aplicaciones como una solución eficiente en proyectos reales, centrándose en la productividad y la calidad del código. Los resultados muestran que los desarrolladores novatos son capaces de aprender rápidamente los conceptos y patrones de diseño adoptados en los frameworks, y después de practicarlos de manera efectiva en poco tiempo. Además de indicios de que este enfoque es más eficaz en comparación con las técnicas de enseñanza que utilizan el desarrollo tradicional.</p>
            <a href="https://www.computer.org/csdl/proceedings-article/laclo/2018/038200a356/1cdOhX29Gne">Enlace al sitio web</a>
          </article>
        </section>

      <section id="seccion2">
        <h2>Sección 2</h2>
          <figure>
            <img src="img/habbo.png" alt="">
          </figure>
          <iframe width="100%" height="315" src="https://youtu.be/T1_lJchHWRk" title="Video de ejemplo" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
      </section>

      <section id="seccion3">
        <h2>Sección 3</h2> 
        <h3>Contenedor 3</h3>
          <p>Descripción del contenedor 3.</p>
          <ul>
            <li><i class="fas fa-thumbs-up"></i> Apache HTTP Server: Es uno de los servidores web más populares y se utiliza en la mayoría de los sitios web del mundo. Es gratuito y de código abierto, y está disponible para la mayoría de los sistemas operativos.</li>
            <li><i class="fas fa-thumbs-up"></i>NGINX: Es un servidor web de alto rendimiento que se utiliza para servir contenido estático y dinámico en Internet. Es muy rápido y eficiente, y se utiliza a menudo en sitios web de alto tráfico.</li>
            <li><i class="fas fa-thumbs-up"></i>Microsoft IIS: Es el servidor web de Microsoft y se utiliza principalmente en sitios web que se ejecutan en Windows. Ofrece una gran cantidad de características y herramientas de administración, y es especialmente adecuado para sitios web que utilizan tecnologías Microsoft, como ASP.NET.</li>
            <li><i class="fas fa-thumbs-up"></i>LiteSpeed Web Server: Es un servidor web de alto rendimiento que se centra en la velocidad y la eficiencia. Es especialmente adecuado para sitios web de comercio electrónico y otros sitios que requieren una carga rápida de páginas.</li>
            <li><i class="fas fa-thumbs-up"></i>Google Web Server: Es un servidor web que se utiliza principalmente para servir contenido en la red privada de Google. Aunque no está disponible para su uso público, es interesante conocer que Google utiliza su propio servidor web personalizado para sus propios productos y servicios.</li>
          </ul>   
      </section>
    </main>
    <footer>
      <p>Solucion taller1 de web service - Derechos reservados &copy; 2023</p>
    </footer>
  </body>
</html>